@charset "UTF-8";
@import url(mononoki.css);

 /*  
	Micro blog for neocities "nicro" by hYpercrites
	
	Color palette from here: https://coolors.co/palette/0d1321-1d2d44-3e5c76-748cab-f0ebd8 
	Font is from here: https://github.com/ryanoasis/nerd-fonts
	
	- last edited: 2026-07-13
 */

:root {
  --nbc: #1D2D44; /* background-color */
  --nfc: #F0EBD8; /* font-color */
  --nsc: #0D1321; /* shadow/border-color */
  --nac: #3E5C76; /* accent-color */
  --nhc: #748CAB; /* highlight-color */
}

.nicro-post {
  filter: drop-shadow(3px 4px 0px var(--nsc));
  animation: fade-in 0.3s ease-in;
  font-family: 'mononoki';
}

.nicro-post:first-child {
  margin-top: 15px;
}

post {
  display: block;
  background-color: var(--nac);
  border: 1px solid var(--nsc);
  box-shadow: inset 0px 0px 0px 2px var(--nhc);
  margin: 15px 0px 5px 0px;
  clip-path: polygon(
        0 0,
        100% 0,
        100% calc(100% - 10px),
        calc(100% - 10px) 100%,
        0 100%
    );
}

post::after {
  content: "";
  position: absolute;
  right: 1px;
  bottom: 1px;
  width: 10px;
  height: 10px;
  background: var(--nhc);
}

post header {
  padding-bottom: 5px;
}

post p {
  color: var(--nfc);
  padding: 0px 10px 1px 10px;
  font-size: calc(100% - 3px);
  line-height: calc(100% + 2px);
  letter-spacing: calc(100% - 13px);
}

post br {
  margin-bottom: 5px;
}

date {
  color: var(--nsc);
  padding: 0px 1px 1px 1px;
  margin: 1px 1px 0px 0px;
  font-size: calc(100% - 6px);
  background-color: var(--nhc);
  position: absolute;
  right: 0px;
  line-height: 1;
}

.microblog-nav {
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  padding-top: 5px;
}

.microblog-nav button {
  background-color: var(--nhc);
  border: none;
  border-radius: 50px;
  color: var(--nfc);
  padding: 2px 7px 4px 7px;
  font-family: 'mononoki';
}

.microblog-nav button:disabled {
  opacity: 0.5;
}

.microblog-nav button:hover {
  background-color: var(--nfc);
  color: var(--nsc);
}

.microblog-nav #counter {
  color: var(--nfc);
  font-size: calc(100% - 5px);
}

@keyframes fade-in {
  0% { transform: translateX(10px); opacity: 0; } 
  100% { transform: translateX(0); opacity: 1; } 
}

/* STUPID MOBILE FIX */
@media only screen and (max-width: 800px) {
  date {
  padding: 1px 1px 1px 1px;
  margin: 1px 1px 0px 0px;
  }
}